diff --git a/templates/downloads/js/yum.js b/templates/downloads/js/yum.js
index 74b5702..6953e0b 100644
--- a/templates/downloads/js/yum.js
+++ b/templates/downloads/js/yum.js
@@ -121,11 +121,7 @@ function archChanged() {
    var arch = document.getElementById('arch').value;
 
    if (!plat || plat == -1) {
-      document.getElementById('reporpm').innerHTML = 'Select version and platform above';
-      document.getElementById('clientpackage').innerHTML = 'Select version and platform above';
-      document.getElementById('serverpackage').innerHTML = 'Select version and platform above';
-      document.getElementById('initdb').innerHTML = 'Select version and platform above';
-      document.getElementById('dnfmodule').style.display = 'none';
+      document.getElementById('script').innerHTML = 'Select version and platform above';
       return;
    }
 
@@ -135,21 +131,30 @@ function archChanged() {
    var url = 'https://download.postgresql.org/pub/repos/yum/reporpms/' + plat + '-' + arch + '/pgdg-' + get_rpm_prefix(plat) +'-repo-latest.noarch.rpm';
 
    var installer = get_installer(plat);
-   document.getElementById('reporpm').innerHTML = installer + ' install ' + url;
-   document.getElementById('clientpackage').innerHTML = installer + ' install postgresql' + shortver;
-   document.getElementById('serverpackage').innerHTML = installer + ' install postgresql' + shortver + '-server';
+   script = document.getElementById('script')
+   script.innerHTML = '# Install the repository RPM:<br />';
+   script.innerHTML += installer + ' install ' + url + '<br /><br />';
 
-   document.getElementById('dnfmodule').style.display = disable_module_on(plat) ? 'list-item' : 'none';
+   script.innerHTML += '# Install client tools:<br />';
+   script.innerHTML += installer + ' install postgresql' + shortver + '<br /><br />';
 
+   script.innerHTML += '# Optionally install the database server:<br />';
+   script.innerHTML += installer + ' install postgresql' + shortver + '-server<br /><br />';
+
+   if (disable_module_on(plat)) {
+      script.innerHTML += '# Disable the built-in PostgreSQL module:<br />';
+      script.innerHTML += 'dnf -qy module disable postgresql<br /><br />';
+   }
+
+   script.innerHTML += '# Optionally initialize the database and enable automatic start:<br />';
    if (uses_systemd(plat)) {
        var setupcmd = 'postgresql-' + shortver + '-setup';
        if (ver < 10) {
-	   setupcmd = 'postgresql' + shortver + '-setup';
+	       setupcmd = 'postgresql' + shortver + '-setup';
        }
-
-       document.getElementById('initdb').innerHTML = '/usr/pgsql-' + ver + '/bin/' + setupcmd + ' initdb<br/>systemctl enable postgresql-' + ver + '<br/>systemctl start postgresql-' + ver;
+       script.innerHTML += '/usr/pgsql-' + ver + '/bin/' + setupcmd + ' initdb<br/>systemctl enable postgresql-' + ver + '<br/>systemctl start postgresql-' + ver;
    }
    else {
-       document.getElementById('initdb').innerHTML = 'service postgresql-' + ver + ' initdb<br/>chkconfig postgresql-' + ver + ' on<br/>service postgresql-' + ver + ' start';
+       script.innerHTML += 'service postgresql-' + ver + ' initdb<br/>chkconfig postgresql-' + ver + ' on<br/>service postgresql-' + ver + ' start';
    }
 }
diff --git a/templates/pages/download/linux/debian.html b/templates/pages/download/linux/debian.html
index 0944edb..7824089 100644
--- a/templates/pages/download/linux/debian.html
+++ b/templates/pages/download/linux/debian.html
@@ -41,30 +41,16 @@ versions of Debian:
 <p>
 To use the apt repository, follow these steps:
 </p>
-<ol>
- <li>
-  <select id="debseries" name="field.series" class="custom-select">
-   <option selected="selected" value="YOUR_DEBIAN_VERSION_HERE">Choose your Debian version</option>
-   <option value="buster">Buster (10.x)</option>
-   <option value="stretch">Stretch (9.x)</option>
-   <option value="jessie">Jessie (8.x)</option>
-   <option value="bullseye">Bullseye (11.x, testing)</option>
-   <option value="sid">Sid (unstable)</option>
-  </select>
- </li>
- <li>
-   Create the file <var>/etc/apt/sources.list.d/pgdg.list</var>, and add a line
- for the repository:
-   <pre class="code">
-     deb http://apt.postgresql.org/pub/repos/apt/ <span id="series-deb">YOUR_DEBIAN_VERSION_HERE</span>-pgdg main</pre>
- </li>
- <li>
-   Import the repository signing key, and update the package lists:
-   <pre class="code">
-     wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc | sudo apt-key add -
-     sudo apt-get update</pre>
- </li>
-</ol>
+
+<pre class="code"># Create the file repository configuration:
+sudo sh -c 'echo "deb http://apt.postgresql.org/pub/repos/apt $(lsb_release -cs)-pgdg main" > /etc/apt/sources.list.d/pgdg.list'
+
+# Import the repository signing key:
+wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc | sudo apt-key add -
+
+# Update the package lists
+sudo apt-get update</pre>
+
 <p>
 For more information about the apt repository, including answers to frequent
 questions, please see the apt page on
diff --git a/templates/pages/download/linux/redhat.html b/templates/pages/download/linux/redhat.html
index bc309d6..22e9a27 100644
--- a/templates/pages/download/linux/redhat.html
+++ b/templates/pages/download/linux/redhat.html
@@ -59,20 +59,8 @@ To use the PostgreSQL Yum Repository, follow these steps:
   <li>Select version: <select id="version" class="custom-select" onChange="verChanged()"></select><br/></li>
   <li>Select platform: <select id="platform" class="custom-select" onChange="platChanged()"></select></li>
   <li>Select architecture: <select id="arch" class="custom-select" onChange="archChanged()"></select></li>
-  <li>Install the repository RPM:
-    <pre id="reporpm" class="code"></pre>
-  </li>
-  <li id="dnfmodule">Disable the built-in PostgreSQL module
-    <pre class="code">dnf -qy module disable postgresql</pre>
-  </li>
-  <li>Install the client packages:
-    <pre id="clientpackage" class="code"></pre>
-  </li>
-  <li>Optionally install the server packages:
-    <pre id="serverpackage" class="code"></pre>
-  </li>
-  <li>Optionally initialize the database and enable automatic start:
-      <pre id="initdb" class="code"></pre>
+  <li>Copy, paste and run the relevant parts of the setup script:
+    <pre id="script"></pre>
   </li>
 </ol>
 
diff --git a/templates/pages/download/linux/ubuntu.html b/templates/pages/download/linux/ubuntu.html
index 5675e81..f9f1ba1 100644
--- a/templates/pages/download/linux/ubuntu.html
+++ b/templates/pages/download/linux/ubuntu.html
@@ -40,25 +40,16 @@ by using the closest LTS version available.
 <p>
 To use the apt repository, follow these steps:
 </p>
-<ul>
-  <li>
-    <select id="debseries" name="field.series" class="custom-select">
-      <option selected="selected" value="YOUR_UBUNTU_VERSION_HERE">Choose your Ubuntu version</option>
-      <option value="focal">Focal (20.04)</option>
-      <option value="bionic">Bionic (18.04)</option>
-      <option value="xenial">Xenial (16.04)</option>
-    </select>
- </li>
-  <li>Create the file <code>/etc/apt/sources.list.d/pgdg.list</code> and add a line
-    for the repository
-    <pre class="code">deb http://apt.postgresql.org/pub/repos/apt/ <span id="series-deb">YOUR_UBUNTU_VERSION_HERE</span>-pgdg main</pre>
- </li>
-  <li>
-    Import the repository signing key, and update the package lists
-    <pre class="code">wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc | sudo apt-key add -
+
+<pre class="code"># Create the file repository configuration:
+sudo sh -c 'echo "deb http://apt.postgresql.org/pub/repos/apt $(lsb_release -cs)-pgdg main" > /etc/apt/sources.list.d/pgdg.list'
+
+# Import the repository signing key:
+wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc | sudo apt-key add -
+
+# Update the package lists
 sudo apt-get update</pre>
-  </li>
-</ul>
+
 <p>
 For more information about the apt repository, including answers to frequent
 questions, please see the <a href="https://wiki.postgresql.org/wiki/Apt" target="_blank">PostgreSQL Apt Repository</a> page on
